/**
  ******************************************************************************
  * @file    stm8l1526_eval.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    09/14/2009
  * @brief   This file contains definitions for STM8L1526_EVAL's Leds, push-buttons
  *          and COM ports hardware resources.
  ******************************************************************************
  * @copy
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2009 STMicroelectronics</center></h2>
  */ 

// Define to prevent recursive inclusion -------------------------------------
#ifndef __STM8L1526_EVAL_H
#define __STM8L1526_EVAL_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"

 // @addtogroup Utilities
  
 // @addtogroup STM8L1526_EVAL


 // @defgroup STM8L1526_EVAL_Exported_Types



 // @defgroup STM8L1526_EVAL_Exported_Constants
 // @addtogroup STM8L1526_EVAL_LED

#define LEDn                        5
#define LED1_GPIO_PORT              GPIOA
#define LED1_GPIO_PIN               GPIO_Pin_4
  
#define LED2_GPIO_PORT              GPIOA
#define LED2_GPIO_PIN               GPIO_Pin_5
  
#define LED3_GPIO_PORT              GPIOA
#define LED3_GPIO_PIN               GPIO_Pin_6
  
#define LED4_GPIO_PORT              GPIOA
#define LED4_GPIO_PIN               GPIO_Pin_7

#define LED5_GPIO_PORT              GPIOD
#define LED5_GPIO_PIN               GPIO_Pin_2

  
 // @addtogroup STM8L1526_EVAL_BUTTON
#define BUTTONn                     6

 // * @brief Key push-button
#define KEY_BUTTON_PORT             GPIOC
#define KEY_BUTTON_PIN              GPIO_Pin_1

 // * @brief Joystick Right push-button
#define RIGHT_BUTTON_PORT           GPIOD
#define RIGHT_BUTTON_PIN            GPIO_Pin_5

 // * @brief Joystick Left push-button
#define LEFT_BUTTON_PORT            GPIOE
#define LEFT_BUTTON_PIN             GPIO_Pin_1

 // * @brief Joystick Up push-button
#define UP_BUTTON_PORT              GPIOD
#define UP_BUTTON_PIN               GPIO_Pin_7

 // * @brief Joystick Down push-button
#define DOWN_BUTTON_PORT            GPIOD
#define DOWN_BUTTON_PIN             GPIO_Pin_4

 // * @brief Joystick Sel push-button
#define SEL_BUTTON_PORT             GPIOE
#define SEL_BUTTON_PIN              GPIO_Pin_2


 // @addtogroup STM8L1526_EVAL_COM
#define COMn                        1

 // * @brief Definition for COM port1
#define EVAL_COM1                   USART1
#define EVAL_COM1_GPIO              GPIOC
#define EVAL_COM1_CLK               CLK_Peripheral_USART1
#define EVAL_COM1_RxPin             GPIO_Pin_2
#define EVAL_COM1_TxPin             GPIO_Pin_3



  
 // @defgroup STM8L1526_EVAL_Exported_Macros

 // @defgroup STM8L1526_EVAL_Exported_Functions


#endif /* __STM8L1526_EVAL_H */


